# Draw
TKDraw
Draw

# Draw_Color Class Reference

`#include <Draw_Color.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Draw_Color ()
Standard_EXPORT | Draw_Color (const Draw_ColorKind c)
Standard_EXPORT Draw_ColorKind | ID () const
Draw_ColorKind | _CSFDB_GetDraw_ColormyKind () const
void | _CSFDB_SetDraw_ColormyKind (const Draw_ColorKind p)

## Private Attributes

Draw_ColorKind | myKind

## Friends

Standard_EXPORT friend Handle_Standard_Type & | Draw_Color_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT Draw_Color::Draw_Color | ( |  | ) |

Standard_EXPORT Draw_Color::Draw_Color | ( | const Draw_ColorKind | c | ) |

## Member Function Documentation

Draw_ColorKind Draw_Color::_CSFDB_GetDraw_ColormyKind | ( |  | ) | const`[inline]`

void Draw_Color::_CSFDB_SetDraw_ColormyKind | ( | const Draw_ColorKind | p | ) | `[inline]`

Standard_EXPORT Draw_ColorKind Draw_Color::ID | ( |  | ) | const

void Draw_Color::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Draw_Color::operator new | ( | size_t | size | ) | `[inline]`

void* Draw_Color::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& Draw_Color_Type_ | ( |  | ) | `[friend]`

## Field Documentation

Draw_ColorKind Draw_Color::myKind `[private]`

The documentation for this class was generated from the following file:

- Draw_Color.hxx